- job:
    name: ldcg-python-cache
    project-type: matrix
    defaults: global
    axes:
        - axis:
            type: slave
            name: nodes
            values:
                - docker-centos8-arm64-ldcg
                - docker-buster-arm64-ldcg
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - string:
            name: PYTHON_PACKAGES
            default: 'grpcio numpy==1.18.* h5py'
            description: 'space separates names of Python wheels to build'
        - string:
            name: EXTRA_DEPENDENCIES_CENTOS
            default: ''
            description: 'space separates names of extra package dependencies to install (space separated)'
        - string:
            name: EXTRA_DEPENDENCIES_DEBIAN
            default: ''
            description: 'space separates names of extra package dependencies to install (space separated)'
    disabled: true
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
    publishers:
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org'
